{
	accepttext
	backtext

	Init[ (s)
	{
		ClearMenu();
		MenuBackground(92);

		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddMenuItem(26, "");
		AddMenuItem(26, "");
		AddMenuItem(26, "");
		AddMenuItem(26, "");
		AddMenuItem(26, "");

		accepttext=AddFloatingTextJustify(530, 0, 195, false,32767);
                accepttext.SetFontNum(1);
		backtext=AddFloatingTextJustify(531, 176, 195, true,32767);
		backtext.SetFontNum(1);

		RequestArenaContentList();
	} ]

	HideAcceptBack[ (s)
	{
		accepttext.SetVisible(false);
		backtext.SetVisible(false);
	} ]

	ShowAcceptBack[ (s)
	{
		accepttext.SetVisible(true);
		backtext.SetVisible(true);
	} ]

	Item0[ (s)
	{
		SetPurchaseItem(0);
		//OpenMenu("VerifyMenu");
	} ]

	Item1[ (s)
	{
		SetPurchaseItem(1);
		//OpenMenu("VerifyMenu");
	} ]

	Item2[ (s)
	{
		SetPurchaseItem(2);
		//OpenMenu("VerifyMenu");
	} ]

	Item3[ (s)
	{
		SetPurchaseItem(3);
		//OpenMenu("VerifyMenu");
	} ]

	Item4[ (s)
	{
		SetPurchaseItem(4);
		//OpenMenu("VerifyMenu");
	} ]

	Item5[ (s)
	{
		SetPurchaseItem(5);
		//OpenMenu("VerifyMenu");
	} ]

	DownloadsMenuBack[ (s)
	{
	  if (not InArenaVerify())
	  {
		  CancelArena();
		  //OpenMenu("MainMenu");
	  }
	} ]

}